Bug 982449 - Task priority is set with TextBox in "Quick New Task" / with ListBox in "Task Details"
Task priority is set with TextBox in "Quick New Task" / with ListBox in "Task...
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
medium Severity low
: ER2
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
Depends On:
  Show dependency treegraph
Reported: 2013-07-09 01:42 EDT by Jan Hrcek
Modified: 2014-08-06 16:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:08:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2013-07-09 01:42:11 EDT
Description of problem:
There's an inconsistency in the GUI when setting the task:

1) In QuickNewTaskViewImpl the taskPriorityListBox is declared as TextBox

2) In TaskDetailsPopupViewImpl the taskPriorityListBox is declared as ListBox

Although both should serve the same purpose (setting the task priority) they don't work the same.
E.g. when creating new task it is possible to set priority 999999999, while ListBox only enables priorities 1-10

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to Tasks > Tasks List
2. Add new task - there is simple text box for setting task priority
3. Edit this newly added task using task details (magnifying glass icon) - in the Details modal there is list box with priorities 1-10 only

Actual results:

Expected results:
I don't know what are the permissible values for task priority in jbpm (1-10?) but the same widget should be used in all the places manipulating the task priority.

Additional info:
Comment 1 Mauricio Salatino 2013-07-11 04:09:06 EDT
fixed in master
Comment 2 Jan Hrcek 2013-07-11 04:21:44 EDT
Helo Mauricio.

As was asked in other bugs by Productization team, please don't forget to add link to github commit when you insert comments about bug fixes.

Thank you
Comment 4 Jan Hrcek 2013-09-04 03:06:53 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.